Subject: Re: mmc core broken dependency on CONFIG_BLOCK (Was: linux-next: Tree for Oct 11 (mmc))

From: Andrei Warkentin <[email-masked]>
Date: Tue, 11 Oct 2011 16:48:53 -0700 (PDT)

----- Original Message -----
> From: "NamJae Jeon" <[email-masked]>
> To: "Randy Dunlap" <[email-masked]>, "Andrei Warkentin" <[email-masked]>
> Cc: [email-masked], "LKML" <[email-masked]>, [email-masked], "Chris Ball"
> <[email-masked]>, "Stephen Rothwell" <[email-masked]>
> Sent: Tuesday, October 11, 2011 7:20:48 PM
> Subject: Re: mmc core broken dependency on CONFIG_BLOCK (Was: linux-next: Tree for Oct 11 (mmc))
> 
> Hi Randy, Andrei.
> 
> I suggest third option for this.
> As you know, MMC like ATA Driver and SCSI Driver etc.. can not enable
> without CONFIG_BLOCK
> So I think that mmc should be depended from CONFIG_BLOCK like other
> block device driver.
> see the their Kconfig. How do you think ?

MMC core doesn't not imply MMC_BLOCK. You could well use SDIO devices via MMC without any flash storage whatsoever.
What I want to say is that MMC_BLOCK already depends on BLOCK. MMC, however, has no such functional dependence, as it
just (effectively) provides bus and device enumeration. So I think the better solution is wrapping all MMC partition
code within mmc/core/mmc.c and card.h with CONFIG_BLOCK.

A